<h4>reactive form</h4>
<div class="container">
    <br />
    <form (ngSubmit)='loginUser()' [formGroup]='loginForm' novalidate class="form">
        Email :
        <input formControlName='email' type="text" class="form-control" placeholder="Enter Email" />
        <br><br>
        <div class="alert  alert-danger" *ngIf="loginForm.get('email').hasError('required') && loginForm.get('email').touched">
            <p style="color: red;">Email is required</p>
        </div>
        Password :
        <input formControlName='password' type="password" class="form-control" placeholder="Enter Password" />
        <br><br>
        <div class="alert  alert-danger" *ngIf=" !loginForm.get('password').valid && loginForm.get('email').touched">
            <p style="color: red;">Password is required and should less than 10 characters</p>
        </div>
        age :
        <input formControlName='age' type="number" class="form-control" placeholder="Enter Age" />
        <div class="alert  alert-danger" *ngIf="loginForm.get('age').dirty && loginForm.get('age').errors && loginForm.get('age').errors.ageRange ">
            <p style="color: red;">Age should be in between {{min}} to {{max}} years</p>
        </div>
        <br><br>
        <button [disabled]='loginForm.invalid' class="btn btn-default">Login</button>
    </form>
</div>
{{loginForm.value | json}}
{{loginForm.status | json }}